:root {
    --border: 1px solid;
}

body {
    background-color: #f5f7fa;
}

li {
    /* list-style: none; */
}

.text-wa-color {
    color: #41c352;
}

.text-fb-color {
    color: #1877f2;
}

.text-tw-color {
    color: #1da1f2;
}

.text-ld-color {
    color: #0077b5;
}

.sidebar {
    position: fixed;
    top: 3.4rem;
    bottom: 0;
    left: 0;
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
    z-index: 99;
    line-height: 44px;
    padding: 0;
    background-color: #fff !important;
    overflow-y: auto;
}

.btn-primary {
    color: #fff;
    background-color: var(--bs-primary);
    border-color: #ffffff;
}

.btn-primary:hover {
    color: #fff;
    background-color: var(--bs-primary);
    border-color: #000;
}

.page-link {
    position: relative;
    display: block;
    color: var(--bs-primary);
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #dee2e6;
    padding: 0.375rem 0.75rem;
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

@media (max-width: 767.98px) {
    .sidebar {
        width: auto;
    }
}

.navbar {
    box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .1);
    background-color: #fff !important;
}

table.dataTable th,
table.dataTable td {
    white-space: nowrap;
}

.sidebar .nav-link {
    padding-left: 1rem;
    padding-right: 1rem;
}

.sidebar .nav-link.active {
    background: #F3F1FA;
    color: #fff;
    background: var(--bs-primary);
}

.hw-50 {
    height: 50px;
    width: 50px;
}

.rounded {
    border-radius: 0.25rem !important;
}

.table td {
    line-height: 1.2;
    vertical-align: middle;
}

.card-border-1 {
    border: var(--border) var(--bs-info);
}

.card-border-2 {
    border: var(--border) var(--bs-warning);
}

.card-border-3 {
    border: var(--border) var(--bs-success);
}

.card-border-4 {
    border: var(--border) var(--bs-danger);
    ;
}

.plan .card-body {
    padding: 0;
    height: auto;
}

.plan .card-block {
    padding: 0.5rem 1.5rem 1.5rem;
    background-color: white;
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: 1rem;
}

.sidebar li {
    line-height: 2rem;
}

table nav {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.card-img-top {
    width: 100%;
    border-top-left-radius: calc(0.25rem - 1px);
    border-top-right-radius: calc(0.25rem - 1px);
}

.card h1.card-title,
.card h2.card-title,
.card h3.card-title,
.card h4.card-title,
.card h5.card-title,
.card h6.card-title {
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 0.05rem;
    font-size: 1.25rem;
    margin-bottom: 0.25rem;
}

p {
    margin: 0;
}

a {
    cursor: pointer;
    color: var(--bs-primary);
    text-decoration: none;
    background-color: transparent;
}

.badge {
    padding: 6px 10px;
    font-size: 85%;
    font-weight: 500;
    letter-spacing: 0.3px;
    background-color: var(--bs-primary);
    border-color: transparent;
    color: #fff;
    display: inline-block;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
}

.badge-secondary {
    background-color: #868e96;
}

.badge-danger {
    background-color: #FF586B;
}

.badge-success {
    background-color: #0CC27E;
}

.font-medium-2 {
    font-size: 1.2rem !important;
}

.success {
    color: var(--bs-success) !important;
}

.danger {
    color: var(--bs-danger) !important;
}

.navbar .dropdown .dropdown-menu[data-bs-popper] {
    left: -100px;
}

.show-image {
    width: 200px;
}

.favicon {
    width: 36px;
}

.card .card-header {
    background-color: white;
}

.menu-img {
    height: 250px;
    object-fit: cover;
    border-radius: 8px !important;
}

label {
    margin-bottom: 16px;
}

.nk-sidebar .metismenu .has-arrow:after {
    position: absolute;
    content: "";
    width: 0.5em;
    height: 0.5em;
    border-width: 1px 0 0 1px;
    border-style: solid;
    border-color: initial;
    right: 1.5em;
    -webkit-transform: rotate(135deg) translateY(-50%);
    transform: rotate(135deg) translateY(-50%);
    -webkit-transform-origin: top;
    transform-origin: top;
    top: 50%;
    transition: all .3s ease-out;
}

.has-arrow[aria-expanded=true]:after {
    transform: rotate(225deg) translateY(-50%);
    -webkit-transform: rotate(225deg) translateY(-50%);
}

.form-section {
    color: var(--bs-primary);
    line-height: 3rem;
    font-size: 1.5rem;
    letter-spacing: 0.5px;
    font-weight: 500;
    margin-bottom: 20px;
    border-bottom: 1px solid var(--bs-primary);
}

/* theme image */
.theme-img li {
    display: inline-block;
    width: 16.40%;
    height: 350px;
    overflow: hidden;
    position: relative;
}

.theme-img li label {
    padding: 5px;
    display: block;
    position: relative;
    cursor: pointer;
    width: 100%;
    margin: auto;
    border-radius: 5px;
}

.theme-img li label img {
    width: 100%;
    transition-duration: 0.2s;
    transform-origin: 50% 50%;
    object-fit: cover;
    object-position: top;
    height: 300px;
    transition: 2s all ease;
}

.theme-img li label:hover img {
    object-position: bottom;
}

/* .theme-img input[type="checkbox"][id^="checkimg"] {

    display: none;

  } */
.theme-selection li {
    display: inline-block;
    margin: 5px;
    width: 180px;
}

.theme-selection li input[type=radio] {
    display: none;
}

.theme-selection li label {
    padding: 5px;
    display: grid;
    position: relative;
    cursor: pointer;
    width: 100%;
    margin: auto;
    border-radius: 5px;
    z-index: 9;
}

.theme-selection li label p {
    font-size: 14px;
}

.theme-selection li input:checked+label::before {
    content: "✓";
    transform: scale(1);
    z-index: 2;
}

.theme-selection li label::before {
    font-size: 15px;
    background-color: var(--white);
    color: #009DA0;
    content: "";
    display: block;
    border-radius: 50%;
    border: 1px solid #009DA0;
    position: absolute;
    top: -6px;
    right: -6px;
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    transition-duration: 0.4s;
    transform: scale(0);
}

.theme-selection li input:checked+label img {
    z-index: -1;
    /* transition: 0.5s all ease-in-out; */
    border: 2px dotted #009DA0;
}

.theme-selection li label:hover img {
    object-position: bottom;
}

.theme-selection li label img {
    width: 100%;
    transition-duration: 0.2s;
    transform-origin: 50% 50%;
    object-fit: cover;
    object-position: top;
    height: 300px;
    transition: 2s all ease-in-out;
}

.filter-blur {
    filter: blur(3px);
}

.theme-selection-layer {
    margin: 0;
    position: absolute;
    top: 50%;
    bottom: 50%;
    color: red;
}

#preloader {
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99999999999;
    background: #fff;
}

.loader {
    position: absolute;
    width: 5rem;
    height: 10rem;
    top: 50%;
    margin: 0 auto;
    left: 0;
    right: 0;
    transform: translateY(-50%);
}

.loader {
    color: var(--bs-primary);
    width: 48px;
    height: 48px;
    border: 5px solid #FFF;
    border-bottom-color: var(--primary-color-hover);
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Extra css */
.sidebar::-webkit-scrollbar {
    display: none;
}

.modal {
    z-index: 999999 !important;
}

.modal-backdrop {
    z-index: 9999 !important;
}

a.link {
    color: #007bff;
    text-decoration: none;
    background-color: transparent;
}

a.link:hover {
    color: #0056b3;
    text-decoration: none;
}

.separator {
    display: flex;
    align-items: center;
    text-align: center;
}

.separator::before,
.separator::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #000;
}

.separator:not(:empty)::before {
    margin-right: .25em;
}

.separator:not(:empty)::after {
    margin-left: .25em;
}

.readonly {
    background-color: #dbdbdb;
    border-color: #d3d3d3;
}

.color-primary {
    color: var(--bs-primary);
}

.form-check-input:checked {
    background-color: var(--bs-dark);
    border-color: var(--bs-dark);
}
